# XSL Formatter

## INTRODUCTION

A XSL Formatter module required to be enabled a PHP XSL library
that runs given XML content (pasted data, linked URL and uploaded
file) through a defined XSL stylesheet before rendering.

When module enabled, this provides a format as Transformed by XSL
which is available in 'manage display' for use in content types or
views. The result is then shown in the page and managed like any
other field display.

The data source can be:
* A Text(plain, long) field which contains the raw XML.
* A link field defining a remote or filesystem data source.
* A file field where you can upload an XML file directly.
* For a full description of this module, visit the project page:  
  https://www.drupal.org/project/xsl_formatter
* To submit bug reports and feature suggestions, or track changes:  
  https://www.drupal.org/project/issues/xsl_formatter

## REQUIREMENTS

This module requires the following library:
* [PHP XSL Library](https://www.php.net/manual/en/xsl.installation.php)

## INSTALLATION

Install as you would normally install a contributed Drupal module. Visit 
https://www.drupal.org/node/1897420 for further information.

## CONFIGURATION

To add an XSL formatter, go to "Structure > Content Types" and select an
existing content type or add a new one. Select or add a new field with one of
the types "Text(simple, long)", Link or File. Click "Manage Display" and select
the format "Transformed by XSL" for the field. Click on the details icon on the
right and select the XSL you want.

## MAINTAINERS

Current maintainers:
* [Johannes Kowald (JoCowood)](https://www.drupal.org/u/jocowood "JoCowood on drupal.org")
* [Dan Morrison (dman)](https://www.drupal.org/u/dman "dman on drupal.org")
